/**
 * @author jonecx
 */
var win=Ti.UI.currentWindow;
var scrollView = Ti.UI.createScrollView();
var maxToppings = 6;
var numToppings=0

var toppings = [
	{title:'Bacon', path:'../images/toppings/bacon_bits.png', container:null},
	{title:'Beef', path:'../images/toppings/beef.png', container:null},
	{title:'Italian Sausage', path:'../images/toppings/italian_sausage_sliced.png', container:null},
	{title:'Grilled Chicken',path:'../images/toppings/grilled_chicken.png', container:null},
	{titile:'Jalapenos', path:'../images/toppings/jalapenos.png', container:null}
	];

var toppingsTitle = Ti.UI.createLabel({
	text:'2. Choose your toppings',
	font:{
		fontFamily:'Verdana',
		fontWeight:'bold',
		fontSize:22
	},
	color:'#A90329',
	shadowColor:'#333',
	shadowOffset:{x:1, y:1},
	textAlign:'left',
	width:Ti.Platform.displayCaps.platformWidth,
	height:58,
	left:10
});

var toppingsTitleView = Ti.UI.createView({
	width:328,
	height:58,
	backgroundImage:'../images/crustHeaderBg.png',
	top:100,
	left:-6,
	opacity:0
});

toppingsTitleView.add(toppingsTitle);

var pizza = Ti.UI.createView({
	top:270,
	width:216,
	height:156,
	backgroundImage:win.path
});

var toppingsHolder = Ti.UI.createView({
	width:216,
	height:156
});

pizza.add(toppingsHolder);
win.add(pizza);
win.add(toppingsTitleView);

var details = Ti.UI.createButton({
	width: 137,
	height:100,
	backgroundImage:'../images/details.png',
	top:385,
	left:165,
	opacity:0
});

var cancel = Ti.UI.createButton({
	width:137,
	height:75,
	backgroundImage:'../images/cancel.png',
	top:385,
	left:10,
	opacity:0
});


if(Ti.Platform.osname=='android'){
	details.image='../images/details.png';
	cancel.image = '../images/cancel.png';
	pizza.image=win.path;
}else{
	pizza.opacity=0;
}
win.add(details);
win.add(cancel);

//this event handler lets it go back to the crust window. It passes the current crust so it selects the correct one when returning
cancel.addEventListener('click', function(e){
	Ti.App.fireEvent('cancelToppings',{crust:win.crust});
});

details.addEventListener('click', function(e){
	//nothing is written here
});

toppingsTitleView.animate({
	opacity:1,
	duration:500
});

pizza.animate({
	opacity:1,
	duration:500
});

details.animate({
	opacity:1,
	duration:500
});

cancel.animate({
	opacity:1,
	duration:500
});

//lets's add the toppings list now
function toppingsListClick(e){
	if(e.source.selected){
		e.source.selected = false;
		e.source.backgroungImage='../images/checkbox_no.png';
		numToppings -= 1;
		if(toppings[e.source.toppingsID].container!= null){
			toppingsHolder.remove(toppings[e.source.toppingsID].container);
			toppings[e.source.toppingsID].container = null;
			
		}
	}
	else{
		if(numToppings < maxToppings){
			e.source.selected = true;
			e.source.backgroundImage = '../images/checkbox_yes.png';
			
			var aToppings = Ti.UI.createView({
				backgroundImage:toppings[e.source.toppingsID].path
			});
		if(Ti.Platform.osname == 'android'){
			aToppings.image = toppings[e.source.toppingsID].path;
		}else{
			aToppings.opacity = 0;
			aToppings.animate({
				opacity:1,
				duration:500
			});
		}
		
		toppingsHolder.add(aToppings);
		toppings[e.source.toppingsID].container = aToppings;
		numToppings += 1;
		}
		else{
			alert("You have reached the maximum toppings of:" + numToppings);
		}
	}
}

//to create the toppings list
function createToppingsList(){
	scrollView.opacity = 0;
	scrollView.top = 155;
	scrollView.height = 120;
	scrollView.contentWidth = Ti.Platform.displayCaps.platformWidth;
	scrollView.contentHeight = 'auto';
	scrollView.showVerticalScrollIndicator = true;
	win.add(scrollView);
	}
	
	for(i=0;i<toppings.length;i++){
		var toppingsLabel = Ti.UI.createLabel({
			text:toppings[i].title,
			font:{
				fontFamily:'Verdana',
				fontWeight:'bold',
				fontSize:14
			},
			color:'#fff',
			shadowColor:'#333',
			shadowOffset:{x:1,y:1},
			textAlign:'left',
			width:Ti.Platform.displayCaps.platformWidth - 10,
			left:10
		});
		
		var checkbox = Ti.UI.createView({
			width:340,
			height:16,
			backgroundImage:'../images/checkbox_no.png',
			selected:false,
			toppingsID:i
		});
		
		var toggler = Ti.UI.createView({
			width:Ti.Platform.displayCaps.platformWidth,
			height:20,
			top:i*20
		});
		
		checkbox.addEventListener('singletap', toppingsListClick);
		toggler.add(toppingsLabel);
		toggler.add(checkbox);
		scrollView.add(toggler);
	}
	
	scrollView.animate({
		opacity:1,
		duration:500
	});
	
	createToppingsList();
// handler for the details button

details.addEventListener('click', function(e){
	var pizzaInfo = [];
	for(var i=0; i< toppings.length;i++){
		if(toppings[i].container != null){
			pizzaInfo.push(toppings[i].title);
		}
	}
	Ti.App.fireEvent('details',{crust:win.crust, path:win.path, toppings:pizzaInfo});
});


